%define	module	Array-RefElem
%define	name	perl-%{module}
%define	version	1.00
%define	release	1mdk

Summary: 	Direct access to the internal perl routines for arrays & hashes
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source0:	http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	perl

%description
This module give direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

This module is needed by eGrail.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_mandir}/*/*
%{perl_vendorarch}/Array
%{perl_vendorarch}/auto/Array

%changelog
* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00
- add url
- cosmetics
- drop distribution tag

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-11mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.02-10mdk
- rebuild
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-9mdk
- rebuild for new auto{prov,req}

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.02-8mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.02-7mdk
- rebuild for perl 5.8.0

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.02-6mdk
- Automated rebuild in gcc3.1 environment

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.02-5mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-4mdk
- Fix distribution tag

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.02-3mdk
- Make a clean RPM with the right directories

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.02-2mdk
- Rename spec file.
- Rebuild against the latest perl.
- Remove Venor and distribution tag.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.02-1mdk
- First Mandrake release
- Needed for eGrail
